Name: libwncksync
Version: 0.2.8
Release: alt1.1
Summary: A library and dbus daemon that matches .desktop files to window xid's and the reverse

Group: System/X11
License: LGPLv3
Url: https://launchpad.net/wncksync
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: libwncksync-%version.tar
Patch1: libwncksync-0.2.8-exclude-moudle-alt.patch

BuildRequires: libGConf-devel libwnck-devel libdbus-glib-devel libgtop-devel libgnome-menus-devel

%description
A library and dbus daemon that matches .desktop files to window xid's and the reverse

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q
%patch1 -p1

%build
%configure --disable-static
%make_build

%install
%makeinstall_std
mkdir -p %buildroot%_libdir/libwncksync/
mkdir -p %buildroot%_bindir
mv %buildroot/usr/lib/wncksyncdaemon %buildroot%_bindir
sed -i 's|/usr/lib|/usr/bin|g' %buildroot%_datadir/dbus-1/services/*.service

%files
%doc COPYING
%_bindir/wncksyncdaemon
%_libdir/libwncksync*.so.*
%_libdir/libwncksync
%_datadir/dbus-1/services/*.service

%files devel
%_includedir/libwncksync*/
%_libdir/libwncksync*.so
%_pkgconfigdir/libwncksync*.pc

%changelog
* Tue Nov 09 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.8-alt1.1
- Rebuilt for soname set-versions

* Mon Mar 22 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.2.8-alt1
- initial

